SSL_GET_SSL_CTX(3)

NAME
SSL_get_SSL_CTX - get the SSL_CTX from which an SSL is created

SYNOPSIS
 #include <openssl/ssl.h>

 SSL_CTX *SSL_get_SSL_CTX(const SSL *ssl);

DESCRIPTION
SSL_get_SSL_CTX() returns a pointer to the SSL_CTX object, from which ssl was created with SSL_new(3).

RETURN VALUES
The pointer to the SSL_CTX object is returned. This is an internal pointer and the reference count is not incremented. The returned pointer should not be freed. If the caller needs to retain the SSL_CTX for longer than the SSL object, it should call SSL_CTX_up_ref(3) to increment the reference count.

SEE ALSO
ssl(7), SSL_new(3)

COPYRIGHT
Copyright 2001-2026 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.